summaryrefslogtreecommitdiff
path: root/manaplus.sh
diff options
context:
space:
mode:
Diffstat (limited to 'manaplus.sh')
-rw-r--r--manaplus.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/manaplus.sh b/manaplus.sh
new file mode 100644
index 0000000..8f8e827
--- /dev/null
+++ b/manaplus.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+cp /mxe/usr/i686-w64-mingw32.shared/bin/gdb.exe /libs/dll/ || true # can also be moved to docker
+cp /manaplus/tools/ci/scripts/winvars.sh manaplus/build/
+cd /manaplus/
+
+# v change this in client repo laterâ„¢
+git apply ../manaplus.patch
+# ^ change this in client repo laterâ„¢
+
+cd /manaplus/build/
+./winmake --enable-commandlinepassword || exit 1
+cp /manaplus/build/tmp/src/manaplus.exe /manaplus/build/tmp/src/manaplusd.exe
+strip /manaplus/build/tmp/src/manaplus.exe
+# profiler (needs another build)
+
+/mxe/tools/copydlldeps.py -C/manaplus/build/tmp/src -L/mxe/usr/i686-w64-mingw32.shared/bin/ /libs/dll/ || true
+# missing .dll's are available in windows by default (may check if its a default dll, exit 1 when otheres are missing)
+./packwin || exit 1
+# artifacts
+cp /manaplus/packaging/windows/manaplus-*.exe /builds/jak89_1/docker-testing/build/ || exit 1
+cp /manaplus/build/tmp/config.log /builds/jak89_1/docker-testing/logs/ || true
+cp /manaplus/build/make2.log /builds/jak89_1/docker-testing/logs/ || true